/*	
 *	fram.c
 *
 *	P/EMU - P/ECE Emulator
 *	Copyright (C) 2003 Naoyuki Sawa
 *
 *	* Mon Apr 14 00:00:00 JST 2003 Naoyuki Sawa
 *	- 쐬JnB
 */
#include "app.h"

/****************************************************************************
 *	O[oϐ
 ****************************************************************************/

FRAM fram;

/****************************************************************************
 *	O[o֐
 ****************************************************************************/

void
fram_init()
{
	memset(&fram, 0, sizeof fram);
}

int
fram_read(unsigned ofs, int size)
{
	int data = 0;
	ofs &= FRAM_SIZE - 1;
	memcpy(&data, &fram.mem[ofs], size);
	return data;
}

void
fram_write(unsigned ofs, int data, int size)
{
	ofs &= FRAM_SIZE - 1;
	memcpy(&fram.mem[ofs], &data, size);
}

