/*	
 *	fram.h
 *
 *	P/EMU - P/ECE Emulator
 *	Copyright (C) 2003 Naoyuki Sawa
 *
 *	* Mon Apr 14 00:00:00 JST 2003 Naoyuki Sawa
 *	- 쐬JnB
 */
#ifndef __FRAM_H__
#define __FRAM_H__

#define FRAM_SIZE	0x2000		/* 0x0000000`0x0001fff */
typedef struct _FRAM {
	unsigned char mem[FRAM_SIZE];
} FRAM;
extern FRAM fram;

void fram_init();
#define fram_work	NULL

int fram_read(unsigned ofs, int size);
void fram_write(unsigned ofs, int data, int size);

#endif /*__FRAM_H__*/
