/*	
 *	sram.c
 *
 *	P/EMU - P/ECE Emulator
 *	Copyright (C) 2003 Naoyuki Sawa
 *
 *	* Mon Apr 14 00:00:00 JST 2003 Naoyuki Sawa
 *	- 쐬JnB
 */
#include "app.h"

/****************************************************************************
 *	O[oϐ
 ****************************************************************************/

SRAM sram;

/****************************************************************************
 *	O[o֐
 ****************************************************************************/

void
sram_init()
{
	/* 蓖āB */
	memset(&sram, 0, sizeof sram);
	sram.mem_size = emu.sysinfo.sram_end - emu.sysinfo.sram_top;
	sram.mem = (unsigned char*)calloc(sram.mem_size, 1);
}

int
sram_read(unsigned ofs, int size)
{
	int data = 0;
	ofs &= sram.mem_size - 1;
	memcpy(&data, &sram.mem[ofs], size);
	return data;
}

void
sram_write(unsigned ofs, int data, int size)
{
	ofs &= sram.mem_size - 1;
	memcpy(&sram.mem[ofs], &data, size);
}

