/*	
 *	sram.h
 *
 *	P/EMU - P/ECE Emulator
 *	Copyright (C) 2003 Naoyuki Sawa
 *
 *	* Mon Apr 14 00:00:00 JST 2003 Naoyuki Sawa
 *	- 쐬JnB
 */
#ifndef __SRAM_H__
#define __SRAM_H__

typedef struct _SRAM {
	int mem_size;
	unsigned char* mem;
} SRAM;
extern SRAM sram;

void sram_init();
#define sram_work	NULL

int sram_read(unsigned ofs, int size);
void sram_write(unsigned ofs, int data, int size);

#endif /*__SRAM_H__*/
